You are here

FIXED - FF 43 64-bit won't load on WinXP x64 SP2 or Win2003 Server

6 posts / 0 new
Last post
Bruce Huber
Offline
Last seen: 4 years 1 month ago
Joined: 2013-01-21 20:29
FIXED - FF 43 64-bit won't load on WinXP x64 SP2 or Win2003 Server

Hello John,

Having the same issue as user "twoelk" stated in the FF 43 comments:

https://portableapps.com/comment/225721#comment-225721

I updated to FF 43 and only get the FF splash-screen when trying to launch. Had to acutally delete the App/Firefox64 directory to get FF 43 32-bit to launch.

I've included the SUMMARY, OS & CPU output from Piriform's SPECCY, below:

====================================
SUMMARY:
Operating System
Windows XP Professional x64 Edition 64-bit SP2
CPU
AMD Athlon 64 X2 6000+ 54 °C
Windsor 90nm Technology
RAM
8.00GB Dual-Channel DDR2 @ 376MHz (5-5-5-12)
Motherboard
ASUSTeK Computer INC. M2N32-SLI DELUXE (Socket AM2 ) 40 °C
Graphics
VX2000 (1600x1200@60Hz)
PnP-Monitor (Standard) (1600x1200@60Hz)
VX2000 (1600x1200@60Hz)
PnP-Monitor (Standard) (1600x1200@60Hz)
512MB NVIDIA GeForce 8500 GT (EVGA) 95 °C
Storage
698GB Seagate ST3750640AS (SATA) 46 °C
698GB Seagate ST3750640AS (SATA) 35 °C
233GB Maxtor OneTouch IEEE 1394 SBP2 Device (IEEE1394)
1863GB SAMSUNG HD204UI USB Device (USB (SATA)) 42 °C
1GB CASIO DIGITAL_CAMERA USB Device (USB)
Optical Drives
TSSTcorp CD/DVDW SH-S183L
Audio
SoundMAX Integrated Digital HD Audio
====================================
Operating System:
Windows XP Professional x64 Edition 64-bit SP2
Computer type: Desktop
Installation Date: 2007-11-06 07:07:58
Windows Security Center
Firewall Disabled
Windows Update
AutoUpdate Download Automatically and Notify Prior to Install
Antivirus
Antivirus Enabled
Company Name ThreatTrack Security
Display Name ThreatTrack Security VIPRE
Product Version 8.2.0.59
Virus Signature Database Up to date
.NET Frameworks installed
v4.0 Client
v3.5 SP1
v3.0 SP2
v2.0 SP2
Internet Explorer
Version 8.0.6001.18702
PowerShell
Version 1.0
Java
Java Runtime Environment
Path C:\Program Files (x86)\Java\jre1.8.0_40\bin\java.exe
Version 8.0
Update 40
Build 26
====================================
CPU:
AMD Athlon 64 X2 6000+
Cores 2
Threads 2
Name AMD Athlon 64 X2 6000+
Code Name Windsor
Package Socket AM2 (940)
Technology 90nm
Specification AMD Athlon 64 X2 Dual Core Processor 6000+
Family F
Extended Family F
Model 3
Extended Model 43
Stepping 3
Revision JH-F3
Instructions MMX (+), 3DNow! (+), SSE, SSE2, SSE3, AMD 64, NX, VMX
Virtualization Supported, Disabled
Hyperthreading Not supported
Fan Speed 1901 RPM
Bus Speed 200.9 MHz
Rated Bus Speed 1004.4 MHz
Stock Core Speed 3000 MHz
Stock Bus Speed 200 MHz
Average Temperature 55 °C
Caches
L1 Data Cache Size 2 x 64 KBytes
L1 Instructions Cache Size 2 x 64 KBytes
L2 Unified Cache Size 2 x 1024 KBytes
Cores
Core Speed Multiplier Bus Speed Rated Bus Speed Temperature Threads
Core 0 3013.3 MHz x 15.0 200.9 MHz 1004.4 MHz 52 °C APIC ID: 0
Core 1 3013.3 MHz x 15.0 200.9 MHz 1004.4 MHz 57 °C APIC ID: 1
====================================

Hope it helps!

Thanks,
Bruce

Midknyte
Offline
Last seen: 2 years 10 months ago
Joined: 2009-04-22 13:56
XP and Vista 64 not supported

FF43 x64 requires Windows 7 x64 or higher. It won't run on XP or Vista.
https://www.mozilla.org/en-US/firefox/43.0/system-requirements/

Please note that 64-bit builds of Firefox are only supported on Windows 7 and higher.

I think the launcher will have to be updated to force 32-bit for XP and Vista.

Though it is not explicitly stated, the minimum server version would probably be 2008R2.
The Windows version number is 6.1 for both 7 and 2008R2.
https://msdn.microsoft.com/en-us/library/windows/desktop/ms724832%28v=vs...

vf2nsr
vf2nsr's picture
Offline
Last seen: 7 years 7 months ago
Developer
Joined: 2010-02-13 17:10
In Genral

Very few apps from this site work properly on XP with SP2

SP3 was released over 12 years ago so is no reason to not have at least updated ot SP3. NOt to mention Microsoftno longer supports XP and amny many programs have minimum system requirement.

“Be who you are and say what you feel because those who mind don't matter and those who matter don't mind.” Dr. Seuss

John T. Haller
John T. Haller's picture
Offline
Last seen: 8 hours 23 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Confirmed, Will Be Working in 43.0.1

Firefox x64 only supports Windows 7 and up, so I've adjusted the launcher to specifically check for it.

Sometimes, the impossible can become possible, if you're awesome!

twoelk
Offline
Last seen: 8 months 3 weeks ago
Joined: 2008-01-31 13:21
Firefox64 on Vista

thanks for the quick fix.
just updated and can confirm it works now on my old windows Vista laptop without having to delete the Firefox64 folder - will probably be next year though until I have access to the other machines I usually plug my portable devices into.
have a nice x-mas

Bruce Huber
Offline
Last seen: 4 years 1 month ago
Joined: 2013-01-21 20:29
FF 43+ on Win-XP = FIXED

Thanks John and Midknyte - FF 43.0.1 launches the 32-bit version by default now on the older OSes.

FYI vf2nsr ... XP 32-bit has a SP3 ... but XP Pro 64-bit is the same base code as 2003 Server - and these two Windows versions only go up to SP2.

Merry Christmas,
Bruce

Log in or register to post comments